For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
        • POSTCreate Test Suite Run
        • GETRetrieve Test Suite Run
        • GETList Test Suite Executions
LogoLogo
BlogLog InRequest Demo
Client SDKTest SuitesTest Suite Runs

List Test Suite Executions

Beta
GET
https://api.vellum.ai/v1/test-suite-runs/:id/executions
GET
/v1/test-suite-runs/:id/executions
1import requests
2
3url = "https://api.vellum.ai/v1/test-suite-runs/id/executions"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "count": 123,
3 "next": "http://api.example.org/accounts/?offset=400&limit=100",
4 "previous": "http://api.example.org/accounts/?offset=200&limit=100",
5 "results": [
6 {
7 "id": "string",
8 "test_case_id": "string",
9 "outputs": [
10 {
11 "name": "string",
12 "type": "STRING",
13 "value": "string",
14 "output_variable_id": "string"
15 }
16 ],
17 "metric_results": [
18 {
19 "metric_id": "string",
20 "outputs": [
21 {
22 "value": "string",
23 "type": "STRING",
24 "name": "string"
25 }
26 ],
27 "metric_label": "string",
28 "metric_definition": {
29 "id": "string",
30 "label": "string",
31 "name": "string"
32 }
33 }
34 ]
35 }
36 ]
37}
Was this page helpful?
Previous

Add Entity to Folder

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this test suite run.

Headers

X-API-VersionstringOptional

Query parameters

expandlist of stringsOptional

The response fields to expand for more information.

  • ‘metric_results.metric_label’ expands the metric label for each metric result.
  • ‘metric_results.metric_definition’ expands the metric definition for each metric result.
  • ‘metric_results.metric_definition.name’ expands the metric definition name for each metric result.
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.

Response

countinteger
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"
resultslist of objects